---
title: AbortSignal.aborted
slug: Web/API/AbortSignal/aborted
tags:
  - API
  - AbortSignal
  - Experimental
  - Property
  - Reference
  - aborted
---
<div>{{APIRef("DOM")}}</div>

<p>The <strong><code>aborted</code></strong> read-only property returns a {{domxref("Boolean")}} that indicates whether the DOM request(s) the signal is communicating with is/are aborted (<code>true</code>) or not (<code>false</code>).</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js notranslate">var isAborted = abortSignal.aborted;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("Boolean")}}</p>

<h2 id="Examples">Examples</h2>

<p>In the following snippet, we create a new <code>AbortController</code> object, and get its {{domxref("AbortSignal")}} (available in the <code>signal</code> property). Later on we check whether or not it the signal has been aborted using the <code>aborted</code> property, and send an appropriate log to the console.</p>

<pre class="brush: js notranslate">var controller = new AbortController();
var signal = controller.signal;

// ...

signal.aborted ? console.log('Request has been aborted') : console.log('Request not aborted');
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-abortsignal-onabort', 'onabort')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.AbortSignal.aborted")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Fetch_API">Fetch API</a></li>
</ul>
